summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.mrconfig.in4
-rwxr-xr-xbin/doccheckin6
2 files changed, 6 insertions, 4 deletions
diff --git a/.mrconfig.in b/.mrconfig.in
index 7c7b5a2a..5b4c3e6c 100644
--- a/.mrconfig.in
+++ b/.mrconfig.in
@@ -749,10 +749,10 @@ post_checkout = git utime
# before pulling, automatically commit in the same way that my cron job does
pre_update = win32 || doccheckin
# ... and let me do it manually
-autoci = doccheckin || true
+autoci = doccheckin --full || true
# quick syncs
-sync = doccheckin && git pull --no-edit && git push
+sync = doccheckin --full && git pull --no-edit && git push
# --- static websites on web host boxes
diff --git a/bin/doccheckin b/bin/doccheckin
index 29046f8b..02bcc6e9 100755
--- a/bin/doccheckin
+++ b/bin/doccheckin
@@ -19,9 +19,11 @@ git add howm/*.org howm/*/*.org \
papers/*.org papers/*.md papers/*.bib \
newpapers/*/*.org \
dissert/*.md pres/*.md letters/*.tex \
- emacs-abbrevs emacs-bookmarks News/* \
+ emacs-abbrevs emacs-bookmarks \
emacs-diary archive/emacs-diary-* \
|| true
+[ "$1" = "--full" ] && git add News/* ||:
+
# this command should never fail and stop mr
-git commit -a -m "auto commit on $(hostname -s)" || true
+git commit -m "auto commit on $(hostname -s)" || true